> ## Documentation Index
> Fetch the complete documentation index at: https://docs.darkmatter.rdytobash.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ad rental availability



## OpenAPI

````yaml /reference/openapi.yaml get /api/ad-rental
openapi: 3.0.0
info:
  title: Dark Matter Protocol API
  description: >
    Dark Matter Protocol API — game state, wallet operations, and monetization
    endpoints.


    All game APIs are serverless functions under `/api/*` on the app origin.
    Auth for

    money-touching calls is the stateless wallet signature described in the
    Crash Money Model.
  version: 1.0.0
  contact:
    name: Dark Matter Protocol
    url: https://darkmatter.rdytobash.tech
servers:
  - url: https://darkmatter.rdytobash.tech
    description: Production
security: []
tags:
  - name: crash
    description: Crash game endpoints
  - name: entropy
    description: Entropy dice games (Mines, Limbo, Plinko, Keno)
  - name: lootbox
    description: Lootbox endpoints
  - name: wallet
    description: Wallet bridge for vfair platform
  - name: ad-rental
    description: Ad slot rental endpoints
paths:
  /api/ad-rental:
    get:
      tags:
        - ad-rental
      summary: Get ad rental availability
      responses:
        '200':
          description: Ad rental availability
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  activeRental:
                    type: object
                    nullable: true
                  availableSlots:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        available:
                          type: boolean
                  tiers:
                    type: array
                    items:
                      type: object
                      properties:
                        hours:
                          type: integer
                        days:
                          type: integer
                        label:
                          type: string
                        eth:
                          type: string
                  protocolWallet:
                    type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.